CONTENTS OF THIS FILE
---------------------
  
* Introduction
* Requirements
* Installation
* Configuration
* Maintainers


INTRODUCTION
------------
A custom module for Drupal 9/10 Commerce Stripe Checkout that extends the functionality of Drupal Commerce and integrates it with the Stripe Checkout payment gateway. It allows you to handle transactions securely using the Stripe payment platform which will redirect users to a pre-built Stripe form for the payment. This module integrates stripe-php v10 .

This project integrates Stripe into the Drupal Commerce payment and checkout systems.

 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/commerce_stripe_checkout


REQUIREMENTS
------------

This module requires the following modules and libraries:

* Drupal Commerce - https://www.drupal.org/project/commerce
* Stripe PHP - https://github.com/stripe/stripe-php


INSTALLATION
------------
 
 * for further information. Commerce stripe checkout, like all Commerce modules, must be installed via Composer.
   `composer require "drupal/commerce_stripe_checkout"`
 * Or install as you would normally install a contributed Drupal module. See:
   https://www.drupal.org/docs/8/extending-drupal-8/installing-modules and install the Stripe PHP library via Composer. Run the following command:
   `composer require stripe/stripe-php ^10.0`


CONFIGURATION
-------------

    1. Navigate to Administration > Extend and enable the module.
    2. Navigate to Administration > Commerce > Configuration > Payment Gateways.
    3. Add new payment gateway:

        * Select Stripe checkout Plugin.
        * Fill in the Live Test Secret key and Test Secret key provided with your Stripe registration.


MAINTAINERS
-----------

 * Sujan Shrestha (sujan-shrestha) - https://www.drupal.org/u/sujan-shrestha
